{% extends 'base.html.twig' %}

{% block title %}Edit Question{% endblock %}

{% block body %}
    <h1 class="my-5 text-center">Edit Question</h1>

    <div class="row">
        <div class="col-md-2">
            <a href="{{ app.request.headers.get('referer') }}" class="btn btn-secondary"><< Back</a>
        </div>
        <div class="col-md-8">
            <form method="post" action="{{ path('professor_question_edit', {'id': question.id, 'exercise':question.exercises.id}) }}" data-id="1">
                <div class="form-group">
                    <label>Name :</label>
                    <input name="name" type="text" class="form-control" required>
                </div>

                <div class="form-group">
                    <label>Description :</label>
                    <span class="blockquote-footer">write a description to explain to the students what to do</span>
                    <input name="description" type="text" class="form-control" required>
                </div>
                
                <div class="form-group">
                    <label>Difficulty :</label>
                    <span class="blockquote-footer">choose the difficulty to indicate to the students</span>
                    <select name="difficulty" type="text" class="form-control type-select" data-id="1" required>
                        <option value="easy">Easy</option>
                        <option value="normal">Normal</option>
                        <option value="hard">Hard</option>
                    </select>
                </div>

                <div class="form-group">
                    <label>Type :</label>
                    <select name="type" type="text" class="form-control type-select" data-id="1" required>
                        <option value="qcm">QCM</option>
                        <option value="libre">Libre</option>
                        <option value="code">Code Javascript</option>
                    </select>
                </div>

                <div class="form-group">
                    <div class="qcm-libre-form1">
                        <label>Expected Answer :</label>
                        <span class="blockquote-footer">indicate the expected answer from students</span>
                        <input name="answer" type="text" class="form-control" ><br><br>

                        <div class="other-answers1">
                            <h4>Choices for the student :</h4>
                            <label>Choice 1 :</label>
                            <input name="answer1-1" type="text" class="form-control">
                            <div class="added-answers1"></div>
                        </div>
                        <div class="btn btn-primary btn-add-answer btn-add-answer1" data-id="1" style="margin : 10px 0 10px 0;">Add answer</div>
                        <br>
                    </div>
                </div>

                <div class="form-group">
                    <div class="code-form1" style="display: none;">

                        <div class="form-group">
                            <label>Function name :</label>
                            <span class="blockquote-footer">indicate the name of the function to write by the students</span>
                            <input name="function-name" type="text">
                        </div>
                        <label class="test-title">Tests :</label>
                        <div class="code-instructions">
                            <h6>How to write tests :</h6>
                           <ul>
                               <li> Write the input parameters on the left, separated by a comma
                                       , strings must be surrounded by double quotes. Example : <b>6,[12,15],"Your string"</b>
                               </li>
                               <li>
                                   On the inputs on the right, write the expected output for the parameters on the right,
                                   for booleans you can type <b>true</b> or <b>false</b>. Strings here must not be surrounded
                                   by quotes.
                               </li>
                           </ul>
                        </div>
                        <div class="form-group">
                            <label class="test-title-small">Test 1 :</label>
                            <div class="row px-5">
                                <div class="col-md-6">
                                    <label>Input</label>
                                    <input name="test1" type="text">
                                </div>
                                <div class="col-md-6">
                                    <label>Output</label>
                                    <input name="test1-result" type="text">
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="test-title-small">Test 2 :</label>
                            <div class="row px-5">
                                <div class="col-md-6">
                                    <label>Input</label>
                                    <input name="test2" type="text">
                                </div>
                                <div class="col-md-6">
                                    <label>Output</label>
                                    <input name="test2-result" type="text">
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="test-title-small">Test 3 :</label>
                            <div class="row px-5">
                                <div class="col-md-6">
                                    <label>Input</label>
                                    <input name="test3" type="text">
                                </div>
                                <div class="col-md-6">
                                    <label>Output</label>
                                    <input name="test3-result" type="text">
                                </div>
                            </div>
                        </div>

                    </div>
                </div>

                <input class="btn btn-info" value="update" type="submit">
            </form>
            <br>
            {{ include('professor/question/_delete_form.html.twig') }}
        </div>
    </div>
{% endblock %}
